Name:		udt
Version:	4.11
Release:	2%{?dist}
Summary:	UDP based Data Transfer Protocol
Group:		System Environment/Libraries

License:	BSD
URL:		http://udt.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/udt/udt/%{version}/udt.sdk.%{version}.tar.gz
#		This package is buildable for EPEL 5
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%package devel
Summary:	UDP based Data Transfer Protocol - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description
UDT is a reliable UDP based application level data transport protocol
for distributed data intensive applications over wide area high-speed
networks. UDT uses UDP to transfer bulk data with its own reliability
control and congestion control mechanisms. The new protocol can
transfer data at a much higher speed than TCP does. UDT is also a
highly configurable framework that can accommodate various congestion
control algorithms.

%description devel
UDT development files.

%prep
%setup -q -n udt4

sed 's/-O3/%{optflags}/' -i src/Makefile app/Makefile
sed 's/-shared/& %{?__global_ldflags} -lpthread -Wl,-soname,libudt.so.0/' \
    -i src/Makefile
sed 's/LDFLAGS =/& %{?__global_ldflags}/' -i app/Makefile
sed 's/\r//' -i doc/doc/udtdoc.css

%build
ARCH=
%ifarch %{ix86}
ARCH=IA32
%endif
%ifarch x86_64
ARCH=AMD64
%endif
%ifarch ia64
ARCH=IA64
%endif

# Parallel build fails - no _smp_mflags
make arch=$ARCH

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}
install src/libudt.so %{buildroot}%{_libdir}/libudt.so.0
ln -s libudt.so.0 %{buildroot}%{_libdir}/libudt.so
mkdir -p %{buildroot}%{_includedir}/udt
install -p -m 644 src/udt.h %{buildroot}%{_includedir}/udt

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/libudt.so.0
%doc LICENSE.txt RELEASE_NOTES.txt

%files devel
%{_libdir}/libudt.so
%{_includedir}/udt
%doc doc

%changelog
* Sat Jun 14 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.11-2
- Add missing things for EPEL 5

* Mon Jun 09 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.11-1
- initial packaging for Fedora
